<?php
error_reporting(E_ALL);
ini_set('display_errors', 'true');

include "lib/list-item-links.php";
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
<title>Index</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<!-- 
<link rel="stylesheet" href="styles/without-flex.css">
<link rel="stylesheet" href="styles/with-flex.css">
 -->
<link rel="stylesheet" href="styles/nonprefixed-flex.css">
<style type="text/css">
</style>
<script>
// script needed before the DOM is loaded here
</script>
</head>
<body>
  <header role="banner"><!-- support GOOD -->

    <h1>
	  <a href="index.php" title="home link">
	    <img src="images/vernal.jpg" class="logo" width="100" height="75" alt="logo">
	  </a>
	  <span>Test Index</span>
	</h1>
	
    <nav class="desktop" role="navigation"><!-- support GOOD -->
	  <ul class="site_links">
	    <?php echo get_li_links(); ?>
	    <li><a href="https://css-tricks.com/snippets/css/a-guide-to-flexbox/" title="Chris Coyier">A Complete Guide to Flexbox</a></li>
	    <li><a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes" title="MDN">Using CSS flexible boxes</a></li>
	    <li><a href="http://codepen.io/enxaneta/full/adLPwv/" title="CodePen">Flexbox playgroung </a></li>
	  </ul>
	</nav>
    <nav id="mobile_nav" class="mobile" role="navigation"><!-- support GOOD -->
	  <button id="hamburger_menu">
	    <img src="images/hamburger-menu.png" width="25" height="25" alt="menu">
	  </button>
	  <ul class="site_links">
	    <?php echo get_li_links(); ?>
	    <li><a href="https://css-tricks.com/snippets/css/a-guide-to-flexbox/" title="Chris Coyier">A Complete Guide to Flexbox</a></li>
	    <li><a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes" title="MDN">Using CSS flexible boxes</a></li>
	    <li><a href="http://codepen.io/enxaneta/full/adLPwv/" title="CodePen">Flexbox playgroung </a></li>
	  </ul>
	</nav>
	
  </header>
<!-- IE doesn't support main -->
  <div class="main" role="main">
	<section><!-- support GOOD -->
      <h2>
	    <span>Flex Testing</span>
	  </h2>
<p>Chase red laser dot shove bum in owner's face like camera lens missing until dinner time, or pooping rainbow while flying in a toasted bread costume in space, pee in the shoe. Shake treat bag asdflkjaertvlkjasntvkjn (sits on keyboard) for destroy couch, and tuxedo cats always looking dapper, so spot something, big eyes, big eyes, crouch, shake butt, prepare to pounce so eat a plant, kill a hand. Use lap as chair sleep nap so missing until dinner time, yet mew. If it fits, i sits thinking longingly about tuna brine climb leg chase dog then run away but meow. Attack the dog then pretend like nothing happened. Destroy the blinds walk on car leaving trail of paw prints on hood and windshield so inspect anything brought into the house chase after silly colored fish toys around the house meow for food, then when human fills food dish, take a few bites of food and continue meowing. Damn that dog.</p>
<p>Chase the pig around the house you call this cat food? rub face on owner. Immediately regret falling into bathtub cat slap dog in face so leave dead animals as gifts, and kitty power! . Attack the dog then pretend like nothing happened claws in your leg hide from vacuum cleaner for unwrap toilet paper, leave hair everywhere. Steal the warm chair right after you get up attack feet. Stare at the wall, play with food and get confused by dust lick butt. Poop in litter box, scratch the walls the dog smells bad but my left donut is missing, as is my right for claws in your leg. Knock over christmas tree destroy couch. Intrigued by the shower nap all day, but cough furball lick the plastic bag. Peer out window, chatter at birds, lure them to mouth cat slap dog in face so refuse to drink water except out of someone's glass or climb leg. Always hungry stand in front of the computer screen, and knock over christmas tree, stick butt in face who's the baby, so purr while eating and where is my slave? I'm getting hungry.</p>
<p> Throwup on your pillow. Get video posted to internet for chasing red dot. Then cats take over the world curl into a furry donut eat a plant, kill a hand leave fur on owners clothes chase laser. Lick the plastic bag hopped up on catnip, for give attitude, so missing until dinner time asdflkjaertvlkjasntvkjn (sits on keyboard). Meowwww have secret plans give attitude intrigued by the shower ignore the squirrels, you'll never catch them anyway for sun bathe. Unwrap toilet paper. Vommit food and eat it again chase mice, yet cat is love, cat is life, steal the warm chair right after you get up. Chirp at birds love to play with owner's hair tie, or touch water with paw then recoil in horror. Drink water out of the faucet lick the plastic bag missing until dinner time, for love to play with owner's hair tie. Nap all day cat slap dog in face.</p>
	</section>
    <aside role="complementary"><!-- support GOOD -->
	  <h3>
	    <span>aside</span>
	  </h3>
<p>Poop in litter box, scratch the walls sit by the fire play time, so find something else more interesting, so flee in terror at cucumber discovered on floor but burrow under covers chew on cable. Cough furball who's the baby.</p>
    </aside>
  </div>
  <footer role="contentinfo"<!-- support GOOD -->
<p>Meowing non stop for food rub face on everything, but paw at your fat belly yet see owner, run in terror, present belly, scratch hand when stroked. Behind the couch use lap as chair has closed eyes but still sees you sleep on keyboard. Why must they do that meow stretch. Claw drapes eat and than sleep on your face steal the warm chair right after you get up. Leave dead animals as gifts hopped up on catnip.
<a href="http://www.catipsum.com/">Cat Ipsum</a></p>
  </footer>
<script src="javascripts/hamburger-menu.js"></script>
<script>
// script that needs the DOM to be loaded here
</script>
</body>
</html>