<?php
declare(strict_types = 1);

error_reporting(E_ALL);
ini_set('display_errors', "true");

function get_li_links(): string {
  $this_file = substr(__FILE__, (strrpos(__FILE__, DIRECTORY_SEPARATOR)) + 1);
  $link_list = '';
  foreach (glob("*.php") as $filename) {
    if ($filename != $this_file) {
      $filename_no_ext = substr($filename, 0, (strrpos($filename, ".")));
	  $link_list .= '<li><a href="' . $filename . '" 
						title="' . $filename_no_ext . '">' . $filename_no_ext . '</a></li>';
	}
  }
  return $link_list;
}
?>