<?php
error_reporting(E_ALL);
ini_set('display_errors', 'true');

include "lib/folder-files.php";
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
<title>Index</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<style type="text/css">
html {
  margin: 0;
  padding: 0;
  background-color: #beb;
  font-size: 100%;
}
body {
  margin: 0;
  padding: 0;
}

header {
  display: -webkit-box;		/* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box;		/* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox;		/* TWEENER - IE 10 */
  display: -webkit-flex;	/* NEW - Chrome *//* Safari */
  display: -moz-flex;
  display: flex;			/* NEW, Spec - Opera 12.1, Firefox 20+ */

  -ms-flex-flow: row wrap; /* IE 10 no wrap unless display: inline-block set on child elements */
  -webkit-flex-flow: row wrap; /* Safari 6.1+ */
  flex-flow: row wrap;
}

  nav.desktop {
    -webkit-box-flex: 1; /* 2009 sytax - grow only */
	-moz-box-flex:  1; /* 2009 sytax - grow only */
	-ms-flex:  1 1 100%; /* IE 10  If omitted, the preferred size is 0px */ 
	-webkit-flex:  1 1 100%;
	flex: 1 1 100%;

    text-align: center;
	padding: 0.1rem ;
	background-color: #cfc;
	display: inline-block; /* needed for IE 10 only */
  }
    nav.desktop ul.site_links,
    nav.desktop ul {
      list-style: none;
	  margin: 0;
	  padding: 0;
    }
      nav.desktop ul li {
	    margin: 0 0.3rem;
        display: inline-block;
	  }
	    nav.desktop ul li a {}
  nav.mobile {
    -webkit-box-flex: 1; /* 2009 sytax - grow only */
	-moz-box-flex:  1; /* 2009 sytax - grow only */
	-ms-flex:  1 1 100%; /* IE 10  If omitted, the preferred size is 0px */ 
	-webkit-flex:  1 1 100%;
	flex: 1 1 100%;

    display: none;
  }
    nav.mobile img {
	  display: block;
	}
	nav.mobile ul.site_links {
      display: block;
	}
      nav.mobile ul li {
	    margin: 0.3rem 0;
        display: block;
	  }

  h1 {
    -webkit-box-flex: 1; /* 2009 sytax - grow only */
	-moz-box-flex:  1; /* 2009 sytax - grow only */
	-ms-flex:  1 1 100%; /* IE 10  If omitted, the preferred size is 0px */ 
	-webkit-flex:  1 1 100%;
    flex: 1 1 100%;

	margin: 0;
	padding-top: 0.5rem;
	background-color: #b4ffc8;
	background-image: linear-gradient(10deg, #b4ffc8, #56996a);
	display: inline-block; /* needed for IE 10 only */
  }
    h1 a {
	  text-decoration: none;
      padding: 0.5rem;
	}
      h1 a img {}
	h1 span {
	  display: inline-block;
	  margin: 0 0 0 1rem;
	  font-size: 3rem;
	}

/*
Chrome		Safari		Firefox		Opera		IE			Android		iOS
20- (old)	3.1+ (old)	2-21 (old)	12.1+ (new)	10 (tween)	2.1+ (old)	3.2+ (old)
21+ (new)	6.1+ (new)	22+ (new)				11+ (new)	4.4+ (new)	7.1+ (new)
Browser Support
Chrome any. Safari any, Firefox any, Opera 12.1+, IE 10+, Android any, iOS any
*/
.main {
/* maybe change to main tag and use display block to force IE recognition */  
  display: -webkit-box;		/* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box;		/* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox;		/* TWEENER - IE 10 */
  display: -webkit-flex;	/* NEW - Chrome *//* Safari */
  display: -moz-flex;
  display: flex;			/* NEW, Spec - Opera 12.1, Fir

  -ms-flex-flow: row wrap; /* IE 10 no wrap unless display: inline-block set on child elements */
  -webkit-flex-flow: row wrap; /* Safari 6.1+ */
  flex-flow: row wrap;

  background-color: #e9ffe9;
}

  section {
    -webkit-box-flex: 5; /* 2009 sytax - grow only */
	-moz-box-flex: 5; /* 2009 sytax - grow only */
	-ms-flex: 5 2 10rem; /* IE 10  If omitted, the preferred size is 0px */ 
	-webkit-flex: 5 2 10rem;
	flex: 5 2 10rem;

	-webkit-box-ordinal-group: 2;	/* OLD - iOS 6-, Safari 3.1-6 */
	-moz-box-ordinal-group: 2;		/* OLD - Firefox 19- */
	-ms-flex-order: 2;				/* TWEENER - IE 10 */
	-webkit-order: 2;				/* NEW - Chrome */
	order: 2;						/* NEW, Spec - Opera 12.1, Firefox 20+ */

	padding: 0.2rem 0.8rem;
	border-left: 2px dashed #beb;
	font-size: 1.1rem;
	display: inline-block; /* needed for IE 10 only */
  }
    section h2 {
	  margin: 0;
	  font-size: 2rem;
    }
	  section h2 span {}
	section p {
	  margin: 0.5rem;
	}

  aside {
    -webkit-box-flex: 1; /* 2009 sytax - grow only */
	-moz-box-flex: 1; /* 2009 sytax - grow only */
	-ms-flex: 1 1 10rem; /* IE 10  If omitted, the preferred size is 0px */ 
	-webkit-flex: 1 1 10rem;
	flex: 1 1 10rem;

	-webkit-box-ordinal-group: 1;	/* OLD - iOS 6-, Safari 3.1-6 */
	-moz-box-ordinal-group: 1;		/* OLD - Firefox 19- */
	-ms-flex-order: 1;				/* TWEENER - IE 10 */
	-webkit-order: 1;				/* NEW - Chrome */
	order: 1;						/* NEW, Spec - Opera 12.1, Firefox 20+ */

    padding: 0.2rem 0.4rem;
	border-right: 2px dashed #beb;
	font-size: 1.1rem;
	display: inline-block; /* needed for IE 10 only */
  }
    aside h3 {
	  margin: 0;
	  font-size: 1.5rem;
	}
	aside h3 span {}
    aside p {
	  margin: 0.5rem;
	}

footer {
  padding: 0.2rem 0.5rem;
  text-align: center;
  display: block;
}
  footer p {
    margin: 0;
  }
    footer p a {}

@media only screen and (max-width: 450px) {
  .main, aside, section {
	display: block;
    font-size: 1rem;
  }
  nav.desktop {
    display: none;
  }
  nav.mobile {
    display: block;
	background-color: #cfc;
  }
    nav.mobile img {
	  margin: 0.1rem;
	  display: none;
	}
	nav.mobile ul.site_links {
	  margin: 0.1rem;
	  padding: 0;
	  text-align: left;
	}
      nav.mobile ul li {
	    margin: 0;
		padding: 0;
        display: block;
	  }
  h1 {
    font-size: 2rem;
	display: inline-block; /* needed for IE 10 only */
  }
  h1 span {
    margin: 0 0 0 0.3rem;
  }
  section {
    border-bottom: 2px dashed #beb;
	display: inline-block; /* needed for IE 10 only */
  }
    section h2 {
      font-size: 1.5rem;
    }
  aside {
    border-top: 2px dashed #beb;
	display: inline-block; /* needed for IE 10 only */
  }
    aside h3 {
      font-size: 1.2rem;
    }
}
</style>
<script>
// script needed before the DOM is loaded here
</script>
</head>
<body>
  <header><!-- support GOOD -->
    <nav class="desktop"><!-- support GOOD -->
	  <?php echo get_links(); ?>
	  <ul>
	    <li><a href="https://css-tricks.com/snippets/css/a-guide-to-flexbox/" title="Chris Coyier">A Complete Guide to Flexbox</a></li>
	    <li><a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes" title="MDN">Using CSS flexible boxes</a></li>
	    <li><a href="http://codepen.io/enxaneta/full/adLPwv/" title="CodePen">Flexbox playgroung </a></li>
	  </ul>
	</nav>
    <nav id="mobile_nav" class="mobile"><!-- support GOOD -->
	  <img src="images/hamburger-menu.png" id="hamburger_menu" width="25" height="25" alt="menu">
	  <?php echo get_links(); ?>
	</nav>

    <h1>
	  <a href="index.php" title="home link">
	    <img src="images/vernal.jpg" class="logo" width="100" height="75" alt="logo">
	  </a>
	  <span>Test Index</span>
	</h1>
  </header>
<!-- IE doesn't support main -->
  <div class="main" role="main">
	<section><!-- support GOOD -->
      <h2>
	    <span>Flex Testing</span>
	  </h2>
<p>Chase red laser dot shove bum in owner's face like camera lens missing until dinner time, or pooping rainbow while flying in a toasted bread costume in space, pee in the shoe. Shake treat bag asdflkjaertvlkjasntvkjn (sits on keyboard) for destroy couch, and tuxedo cats always looking dapper, so spot something, big eyes, big eyes, crouch, shake butt, prepare to pounce so eat a plant, kill a hand. Use lap as chair sleep nap so missing until dinner time, yet mew. If it fits, i sits thinking longingly about tuna brine climb leg chase dog then run away but meow. Attack the dog then pretend like nothing happened. Destroy the blinds walk on car leaving trail of paw prints on hood and windshield so inspect anything brought into the house chase after silly colored fish toys around the house meow for food, then when human fills food dish, take a few bites of food and continue meowing. Damn that dog.</p>
<p>Chase the pig around the house you call this cat food? rub face on owner. Immediately regret falling into bathtub cat slap dog in face so leave dead animals as gifts, and kitty power! . Attack the dog then pretend like nothing happened claws in your leg hide from vacuum cleaner for unwrap toilet paper, leave hair everywhere. Steal the warm chair right after you get up attack feet. Stare at the wall, play with food and get confused by dust lick butt. Poop in litter box, scratch the walls the dog smells bad but my left donut is missing, as is my right for claws in your leg. Knock over christmas tree destroy couch. Intrigued by the shower nap all day, but cough furball lick the plastic bag. Peer out window, chatter at birds, lure them to mouth cat slap dog in face so refuse to drink water except out of someone's glass or climb leg. Always hungry stand in front of the computer screen, and knock over christmas tree, stick butt in face who's the baby, so purr while eating and where is my slave? I'm getting hungry.</p>
<p> Throwup on your pillow. Get video posted to internet for chasing red dot. Then cats take over the world curl into a furry donut eat a plant, kill a hand leave fur on owners clothes chase laser. Lick the plastic bag hopped up on catnip, for give attitude, so missing until dinner time asdflkjaertvlkjasntvkjn (sits on keyboard). Meowwww have secret plans give attitude intrigued by the shower ignore the squirrels, you'll never catch them anyway for sun bathe. Unwrap toilet paper. Vommit food and eat it again chase mice, yet cat is love, cat is life, steal the warm chair right after you get up. Chirp at birds love to play with owner's hair tie, or touch water with paw then recoil in horror. Drink water out of the faucet lick the plastic bag missing until dinner time, for love to play with owner's hair tie. Nap all day cat slap dog in face.</p>
	</section>
    <aside><!-- support GOOD -->
	  <h3>
	    <span>aside</span>
	  </h3>
<p>Poop in litter box, scratch the walls sit by the fire play time, so find something else more interesting, so flee in terror at cucumber discovered on floor but burrow under covers chew on cable. Cough furball who's the baby.</p>
    </aside>
  </div>
  <footer><!-- support GOOD -->
<p>Meowing non stop for food rub face on everything, but paw at your fat belly yet see owner, run in terror, present belly, scratch hand when stroked. Behind the couch use lap as chair has closed eyes but still sees you sleep on keyboard. Why must they do that meow stretch. Claw drapes eat and than sleep on your face steal the warm chair right after you get up. Leave dead animals as gifts hopped up on catnip.
<a href="http://www.catipsum.com/">Cat Ipsum</a></p>
  </footer>
<script>
// script that needs the DOM to be loaded here
var mobile_nav_hamburger_img = document.getElementById("hamburger_menu");
mobile_nav_hamburger_img.style.display = "block";
var mobile_nav_ul = document.getElementById("hamburger_menu").parentNode.querySelector('.site_links');
mobile_nav_ul.style.display = "none";
mobile_nav_hamburger_img.addEventListener('click', function () {
  mobile_nav_hamburger_img.style.display = "none";
  mobile_nav_ul.style.display = "block";
});
mobile_nav_ul.addEventListener('click', function () {
  mobile_nav_ul.style.display = "none";
  mobile_nav_hamburger_img.style.display = "block";
});
</script>
</body>
</html>